2017-11-19 10:18 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002178Kali Linux[All Projects] Kali Package Bugpublic2015-03-27 04:15
Reporterdookie 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target Version2.0Fixed in Versionkali-dev 
Summary0002178: webshag-gui is broken in kali-rolling
Descriptionwebshag-gui (part of the webshag) package errors out on launch:

root@kali:~# webshag-gui
Gtk-Message: Failed to load module "canberra-gtk-module"
Traceback (most recent call last):
  File "/usr/bin/webshag-gui", line 27, in <module>
    gui.run()
  File "/usr/share/webshag/webshag/gui/gui.py", line 72, in run
    app = WebshagGUI(redirect=False)
  File "/usr/lib/python2.7/dist-packages/wx-3.0-gtk2/wx/_core.py", line 8628, in __init__
    self._BootstrapApp()
  File "/usr/lib/python2.7/dist-packages/wx-3.0-gtk2/wx/_core.py", line 8196, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/usr/share/webshag/webshag/gui/gui.py", line 85, in OnInit
    window = WebshagWindow(None, -1, WEBSHAG + ' ' + WEBSHAG_VERSION)
  File "/usr/share/webshag/webshag/gui/gui.py", line 161, in __init__
    self.__infoPanel = gui_info.Panel(self.__notebook, self)
  File "/usr/share/webshag/webshag/gui/gui_info.py", line 103, in __init__
    rootSizer.AddGrowableCol(1)
  File "/usr/lib/python2.7/dist-packages/wx-3.0-gtk2/wx/_core.py", line 15364, in AddGrowableCol
    return _core_.FlexGridSizer_AddGrowableCol(*args, **kwargs)
wx._core.PyAssertionError: C++ assertion "!m_cols || idx < (size_t)m_cols" failed at ../src/common/sizer.cpp(1980) in AddGrowableCol(): invalid column index
Attached Files

-Relationships
+Relationships

-Notes

~0003191

sbrun (manager)

the bug has been reported upstream. It's the most likely due to new version of python-wxgtk. In kali it is python-gtk2.8 but in kali-rolling it's python-wxgtk3.0

~0003194

sbrun (manager)

Upstream doesn't maintain webshag. Here is his answer:
"Unfortunately I don't really maintain Webshag anymore. I would be sad to learn that it is removed from the future version of Kali but it will most probably never be updated/corrected..."

Do we remove webshag from kali-rolling?

~0003195

rhertzog (administrator)

FTR Mati said that we can drop webshag.

~0003196

sbrun (manager)

webshag dropped: version 1.63 of kali-meta
+Notes

-Issue History
Date Modified Username Field Change
2015-03-24 11:39 dookie New Issue
2015-03-24 12:11 rhertzog Assigned To => sbrun
2015-03-24 12:11 rhertzog Status new => assigned
2015-03-26 09:25 sbrun Note Added: 0003191
2015-03-27 02:44 sbrun Note Added: 0003194
2015-03-27 03:44 rhertzog Note Added: 0003195
2015-03-27 04:15 sbrun Note Added: 0003196
2015-03-27 04:15 sbrun Status assigned => resolved
2015-03-27 04:15 sbrun Resolution open => fixed
2015-03-27 04:15 sbrun Fixed in Version => kali-dev
2015-11-09 13:44 Mr.Joe Issue cloned: 0002792
+Issue History